Bug 894413 - Review Request: davmail - DavMail is a POP/IMAP/SMTP/Caldav/Carddav/LDAP gateway for Microsoft Exchange [NEEDINFO]
Summary: Review Request: davmail - DavMail is a POP/IMAP/SMTP/Caldav/Carddav/LDAP gate...
Keywords:
Status: ASSIGNED
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Björn 'besser82' Esser
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 894411 (view as bug list)
Depends On: 973084 977000
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-01-11 17:02 UTC by Marcel Wysocki
Modified: 2018-11-28 13:11 UTC (History)
17 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
besser82: fedora-review?
projects.rg: needinfo? (maci)


Attachments (Terms of Use)
Italian localization files (152 bytes, text/plain)
2013-07-31 14:25 UTC, gil cattaneo
no flags Details
Italian localization files 2 (18.19 KB, text/plain)
2013-07-31 14:27 UTC, gil cattaneo
no flags Details
Italian localization files 2 (18.19 KB, text/plain)
2013-07-31 15:34 UTC, gil cattaneo
no flags Details
Italian localization files 2 (18.20 KB, text/plain)
2013-07-31 15:46 UTC, gil cattaneo
no flags Details

Description Marcel Wysocki 2013-01-11 17:02:35 UTC
Spec URL: http://maci.satgnu.net/rpmbuild/SPECS/davmail.spec
SRPM URL: http://maci.satgnu.net/rpmbuild/SRPMS/davmail-4.1.0-2.fc18.src.rpm
Description: DavMail is a POP/IMAP/SMTP/Caldav/Carddav/LDAP gateway for Microsoft Exchange
Fedora Account System Username: maci

Koji URL: http://koji.fedoraproject.org/koji/taskinfo?taskID=4860100

Comment 1 Marcel Wysocki 2013-01-11 17:04:12 UTC
*** Bug 894411 has been marked as a duplicate of this bug. ***

Comment 2 Marcel Wysocki 2013-03-03 12:37:07 UTC
Update:

* Fri Mar 1 2013 Simone Sclavi <darkhado@gmai.com> 4.2.0-1
- Updated to 4.2.0 release

* Fri Feb 8 2013 Simone Sclavi <darkhado@gmai.com> 4.1.0-3
- Fixed summary
- Fixed dependencies for OBS building

SPEC URL: http://maci.satgnu.net/rpmbuild/SPECS/davmail.spec
SRPM URL: http://maci.satgnu.net/rpmbuild/SRPMS/davmail-4.2.0-1.fc18.src.rpm
Koji URL: http://koji.fedoraproject.org/koji/taskinfo?taskID=5072316

Comment 3 David Xie 2013-03-22 14:50:45 UTC
1. There's no Requires section. Should have at least java and jpackage-utils.

Comment 4 Christopher Meng 2013-04-26 15:19:57 UTC
Invalid changelog section;

Invalid %define, should use %global;

davmail should be replaced by %{name} as many as possible;

Maybe install with -p option to preserve the timestamp;

No need to write "#OBS failes to resolve xml-common-apis
#when building for Fedora 18". OBS is not Fedora Product;

Comment 5 Marcel Wysocki 2013-04-26 16:06:13 UTC
Update:

* Fri Apr 26 2013 Marcel Wysocki <maci@satgnu.net> - 4.2.0-2
- removed OBS comment
- use install -p
- use global instead of define macro
- replaced davmail with name macro
- add missing requires

SPEC URL: http://maci.satgnu.net/rpmbuild/SPECS/davmail.spec
SRPM URL: http://maci.satgnu.net/rpmbuild/SRPMS/davmail-4.2.0-2.fc18.src.rpm
Koji URL: http://koji.fedoraproject.org/koji/taskinfo?taskID=5305206

Comment 6 Marcel Wysocki 2013-06-05 15:53:38 UTC
Update:

* Wed May 22 2013 Simone Sclavi <darkhado@gmail.com> 4.3.0-1
- Updated to 4.3.0 release
- Fixed 'class-path-in-manifest' rpmlint issue

SPEC URL: http://maci.satgnu.net/rpmbuild/SPECS/davmail.spec
SRPM URL: http://maci.satgnu.net/rpmbuild/SRPMS/davmail-4.3.0-1.fc19.src.rpm
Koji URL: http://koji.fedoraproject.org/koji/taskinfo?taskID=5471776

Comment 7 Christopher Meng 2013-06-05 15:59:56 UTC
Icon cache should be updated:

https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache

BTW, you have a gmai typo in some of your changelogs.

Comment 8 Marcel Wysocki 2013-06-05 22:43:11 UTC
Update:

* Wed Jun 05 2013 Marcel Wysocki <maci@satgnu.net> - 4.3.0-2
- fix gmail typo in changelog
- regenerate icon cache

SPEC URL: http://maci.satgnu.net/rpmbuild/SPECS/davmail.spec
SRPM URL: http://maci.satgnu.net/rpmbuild/SRPMS/davmail-4.3.0-2.fc19.src.rpm
Koji URL: http://koji.fedoraproject.org/koji/taskinfo?taskID=5473923

Comment 9 Marcel Wysocki 2013-06-06 08:37:58 UTC
Update:

* Thu Jun 06 2013 Marcel Wysocki <maci@satgnu.net> - 4.3.1-1
- update to 4.3.1

SPEC URL: http://maci.satgnu.net/rpmbuild/SPECS/davmail.spec
SRPM URL: http://maci.satgnu.net/rpmbuild/SRPMS/davmail-4.3.1-1.fc19.src.rpm
Koji URL: http://koji.fedoraproject.org/koji/taskinfo?taskID=5474770

Comment 10 Marcel Wysocki 2013-06-10 09:41:45 UTC
Update

* Mon Jun 10 2013 Marcel Wysocki <maci@satgnu.net> - 4.3.2-1
- update to 4.3.2

SPEC URL: http://maci.satgnu.net/rpmbuild/SPECS/davmail.spec
SRPM URL: http://maci.satgnu.net/rpmbuild/SRPMS/davmail-4.3.2-1.fc19.src.rpm
Koji URL: http://koji.fedoraproject.org/koji/taskinfo?taskID=5486365

Comment 11 Björn 'besser82' Esser 2013-06-10 10:03:29 UTC
On my TODO for this week. Will have to setup some vm-infrastructure for exhaustive testing of this before.

Comment 12 Björn 'besser82' Esser 2013-06-10 10:55:31 UTC
A first quick look at it reveals:

bundled .jar-files (shipped in Sources0 and redistributed in rpm), see: https://fedoraproject.org/wiki/Packaging/Java#Pre-built_JAR_files_.2F_Other_bundled_software

tarball ships:

activation-1.1.1.jar
ant-deb-0.0.1.jar
commons-codec-1.3.jar
commons-collections-3.1.jar
commons-httpclient-3.1.jar
commons-logging-1.0.4.jar
htmlcleaner-2.2.jar
jackrabbit-webdav-2.4.3.jar
jarbundler-2.1.0.jar
jcharset-1.3.jar
jcifs-1.3.14.jar
jdom-1.0.jar
jsmoothgen-ant-0.9.9-7-mgu2.jar
junit-3.8.1.jar
libgrowl-0.2.jar
libgrowl.jnilib
log4j-1.2.16.jar
mail-1.4.3.jar
nsisant-1.2.jar
redline-1.1.9.jar
servlet-api.jar
slf4j-api-1.3.1.jar
slf4j-log4j12-1.3.1.jar
stax2-api-3.1.1.jar
stax-api-1.0.1.jar
swt-3.7-gtk-linux-x86_64.jar
swt-3.7-gtk-linux-x86.jar
swt-3.7-win32-x86_64.jar
swt-3.7-win32-x86.jar
winrun4j-0.4.4.jar
woodstox-core-asl-4.1.2.jar
xercesImpl-2.8.1.jar

These are redisted with rpm:

activation-1.1.1.jar
commons-codec-1.3.jar
commons-collections-3.1.jar
commons-httpclient-3.1.jar
commons-logging-1.0.4.jar
htmlcleaner-2.2.jar
jackrabbit-webdav-2.4.3.jar
jcharset-1.3.jar
jcifs-1.3.14.jar
jdom-1.0.jar
junit-3.8.1.jar
libgrowl-0.2.jar
libgrowl.jnilib
log4j-1.2.16.jar
mail-1.4.3.jar
slf4j-api-1.3.1.jar
slf4j-log4j12-1.3.1.jar
stax2-api-3.1.1.jar
stax-api-1.0.1.jar
swt-3.7-gtk-linux-x86_64.jar
winrun4j-0.4.4.jar
woodstox-core-asl-4.1.2.jar
xercesImpl-2.8.1.jar

  * checking for activation
    No matches found

  * checking for commons-codec
    apache-commons-codec-1.8-1.fc19.noarch
    Repo        : fedora
    Filename    : /usr/share/java/commons-codec.jar

  * checking for commons-collections
    apache-commons-collections-3.2.1-16.fc19.noarch
    Repo        : fedora
    Filename    : /usr/share/java/commons-collections.jar

  * checking for commons-httpclient
    1:jakarta-commons-httpclient-3.1-13.fc19.noarch
    Repo        : fedora
    Filename    : /usr/share/java/commons-httpclient.jar
    Filename    : /usr/share/java/commons-httpclient3.jar

  * checking for commons-logging
    apache-commons-logging-1.1.2-2.fc19.noarch
    Repo        : fedora
    Filename    : /usr/share/java/commons-logging-adapters.jar
    Filename    : /usr/share/java/commons-logging-api.jar
    Filename    : /usr/share/java/commons-logging.jar

  * checking for htmlcleaner
    No matches found

  * checking for jackrabbit-webdav
    jackrabbit-webdav-2.4.2-6.fc19.noarch
    Repo        : fedora
    Filename    : /usr/share/java/jackrabbit-webdav.jar

  * checking for jcharset
    No matches found

  * checking for jcifs
    jcifs-1.3.17-7.fc19.noarch
    Repo        : fedora
    Filename    : /usr/share/java/jcifs.jar

  * checking for jdom
    jdom-1.1.3-4.fc19.noarch
    Repo        : fedora
    Filename    : /usr/share/java/jdom.jar

  * checking for junit
    junit-4.11-1.fc19.noarch
    Repo        : fedora
    Filename    : /usr/share/java/junit.jar
    Filename    : /usr/share/java/junit4.jar

  * checking for libgrowl
    No matches found

  * checking for log4j
    log4j-1.2.17-10.fc19.noarch
    Repo        : fedora
    Filename    : /usr/share/java/log4j.jar

  * checking for mail
    No matches found

  * checking for slf4j-api
    No matches found

  * checking for slf4j-log4j12
    No matches found

  * checking for stax-api
    No matches found

  * checking for stax2-api
    stax2-api-3.1.1-6.fc19.noarch
    Repo        : fedora
    Filename    : /usr/share/java/stax2-api.jar

  * checking for swt-gtk (jni-lib)
    No matches found

  * checking for winrun4j
    No matches found
    (is this really needed on Linux???)

  * checking for woodstox-core-asl
    woodstox-core-4.1.2-5.fc19.noarch
    Repo        : fedora
    Filename    : /usr/share/java/woodstox-core-asl.jar

  * checking for xercesImpl
    No matches found

Check which are actually needed BuildRequires, if not already pkged for Fedora package them from original upstream source, and build/link (eg. ln -s) against those, please.

I'll start next review on updated pkg, then. If you need any help feel free to PM me directly.

Comment 13 Björn 'besser82' Esser 2013-06-10 11:27:15 UTC
These are also in Fedora, already:

  * checking for mail
    javamail

  * checking for slf4j-api, slf4j-log4j12
    slf4j

  * checking for stax-api
    bea-stax-api

  * checking for swt-gtk (jni-lib)
    eclipse-swt

Not yet pkged or found in Fedora:

  * activation
  * jcharset
  * libgrowl
  * xercesImpl

Not needed:

  * winrun4j (tool enhancing javaw)

Comment 14 Björn 'besser82' Esser 2013-06-11 06:59:08 UTC
You can find the needed other Sources here:

  * activation (JavaBeans Application Framework)
    http://www.gnu.org/software/classpathx/jaf/jaf.html

  * jcharset
    http://www.freeutils.net/source/jcharset/

  * libgrowl
    http://sourceforge.net/projects/libgrowl/

  * xercesImpl
    http://xerces.apache.org/mirrors.cgi

Comment 15 marcindulak 2013-06-11 10:50:04 UTC
Without being aware of this rewiew request, I have been working on the original spec file, distributed in the davmail project:
http://davmail.svn.sourceforge.net/viewvc/davmail/trunk/src/contribs/rpm/SPECS/davmail.spec
in order to remove the distributed jars.
There are also some features included in the original spec and missing in bug #894413:
- running davmail as an unpriviledged-user service
- logging + logrotate
The latest effort spec for fedora is available at
https://svn.fysik.dtu.dk/projects/rpmbuild/trunk/SPECS/davmail-src.spec
http://download.opensuse.org/repositories/home:/marcindulak/Fedora_18/src/davmail-4.3.2-31.1.src.rpm
Please note that davmail requires several patches, already worked-out by debian community, in order to build without redistributing jars (e.g. patch for build.xml:
https://svn.fysik.dtu.dk/projects/rpmbuild/trunk/SOURCES/davmail-0004-Set-classpath-add-target-davmail-lib.patch).
Another patch removes dependency on libgrowl, which seems to be needed only for OSX.
It would be nice if we converge our efforts, how could we organize that?

Comment 16 Mikolaj Izdebski 2013-06-20 09:43:45 UTC
(In reply to Björn Esser from comment #13)
> Not yet pkged or found in Fedora:
> 
>   * activation

It's part of JDK now.

>   * xercesImpl

Provided by package xerces-j2.  Also part of nwer JDKs (JAXB).

In Fedora 19+, to replace binary JARs with symlinks to system libraries I recommend running xmvn-subst (part of xmvn package). See:
http://lists.fedoraproject.org/pipermail/java-devel/2013-May/004812.html

Comment 17 gil cattaneo 2013-06-22 12:56:50 UTC
hi
see
http://fedoraproject.org/wiki/Packaging:Java#JAR_file_installation
The Java guidelines require arch-independent JARs to go under %_javadir, not %_datadir.  Typically this is resolved by using symlinks in %_datadir (as is already done for dependency jars outside the package)
regards

Comment 18 gil cattaneo 2013-06-22 13:53:50 UTC
(In reply to Björn Esser from comment #14)
> You can find the needed other Sources here:

>   * libgrowl
>     http://sourceforge.net/projects/libgrowl/
i think this is the right one http://growl.info, but, maybe, is required only for OSX. https://github.com/baohaojun/davmail
regards

Comment 19 Björn 'besser82' Esser 2013-06-22 15:48:35 UTC
(In reply to Mikolaj Izdebski from comment #16)
> >   * activation
> 
> It's part of JDK now.
> 
> >   * xercesImpl
> 
> Provided by package xerces-j2.  Also part of nwer JDKs (JAXB).

(In reply to gil cattaneo from comment #18)
> >   * libgrowl
> i think this is the right one http://growl.info, but, maybe, is required
> only for OSX. https://github.com/baohaojun/davmail

So we have htmlcleaner avail in RAWHIDE and F19, now.  Gil has just packaged jcharset and waiting for review.

So we can start making new progress here, I think.

Comment 20 Marcel Wysocki 2013-06-24 07:38:58 UTC
there seems to be an "srconly" tarball which does not bundle any libraries. maybe we can work from there.

Comment 21 marcindulak 2013-06-24 07:49:45 UTC
(In reply to Marcel Wysocki from comment #20)
> there seems to be an "srconly" tarball which does not bundle any libraries.
> maybe we can work from there.

See bug #894413 comment #15 - i have a spec based on scronly working, it just requires polishing.
If nobody objects i will create a patch that is based on bug #894413 as orig and incorporates my changes.
I have also a general comment for packaging:
we should profit from debian peoples work and original spec distributed
upstream by davmail (i based on it) and not try make one from scratch.

Comment 22 Björn 'besser82' Esser 2013-06-24 08:00:11 UTC
(In reply to Marcel Wysocki from comment #20)
> there seems to be an "srconly" tarball which does not bundle any libraries.
> maybe we can work from there.

Seems to be a good idea.

(In reply to Marcin.Dulak from comment #21)
> See bug #894413 comment #15 - i have a spec based on scronly working, it
> just requires polishing.

Another good point to start further process.

> If nobody objects i will create a patch that is based on bug #894413 as orig
> and incorporates my changes.

OK, so just attach your patch to this bug, so we can start discussing about.

> I have also a general comment for packaging:
> we should profit from debian peoples work and original spec distributed
> upstream by davmail (i based on it) and not try make one from scratch.

There are some nice patches from debian avail, esp. unbundling libs.jar and removing unneeded libgrowl.  I think starting a three-way-merge from existing spec, Marcin's spec and upstream's spec will give us some solid base to build-up from here.

Comment 23 marcindulak 2013-06-26 10:47:58 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- No %config files under /usr.
  Note: %config(noreplace) /usr/share/mylvmbackup/*.pm
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#Configuration_files

  ----> I see this is how mylvmbackup is packaged upstream
        https://build.opensuse.org/package/show?package=mylvmbackup&project=home%3ALenzGr , but we can't use %config under /usr in Fedora.
        A solution could be to use, e.g.:
        hooksdir=/etc/mylvmbackup/hooks in /etc/mylvmbackup.conf
        and create that dir in spec.
        I guess one should communicate this choice upstream.

        Another comment: the upstream build.opensuse.org and the current spec
        share some similarities - if you based on upstream - include this
        information in changelog.


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[ ]: Package requires other packages for directories it uses.

  ----> /etc/mylvmbackup.conf refers to /etc/my.cnf, and this is provided by
        (let's drop el5 - Requires: mysql):
        el6, f17-f18: Requires: mysql-libs
        f19-: Requires: mariadb-libs

[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[ ]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 3 files have unknown license. Detailed output of
     licensecheck in /home/mock/977646-mylvmbackup/licensecheck.txt

  ----> false positive due to /usr/share/mylvmbackup/*.pm files

[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[ ]: Requires correct, justified where necessary.

  ----> see "Package requires other packages for directories it uses." above

[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 61440 bytes in 5 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[ ]: %config files are marked noreplace or the reason is justified.

  ----> see "No %config files under /usr." above

[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

Perl:
[ ]: Package contains the mandatory BuildRequires and Requires:.

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: mylvmbackup-0.14-1.fc20.noarch.rpm
mylvmbackup.noarch: W: non-etc-or-var-file-marked-as-conffile /usr/share/mylvmbackup/logerr.pm
mylvmbackup.noarch: W: non-etc-or-var-file-marked-as-conffile /usr/share/mylvmbackup/backupfailure.pm
mylvmbackup.noarch: W: non-etc-or-var-file-marked-as-conffile /usr/share/mylvmbackup/preflush.pm

  ----> see "No %config files under /usr." above

mylvmbackup.noarch: E: non-readable /etc/mylvmbackup.conf 0600L

  ----> This is due to /etc/mylvmbackup.conf potentially containing
        sensitive information (mysql password, ...). 
        There is a "--password=string" option to mylvmbackup,
        but in case someone writes password into /etc/mylvmbackup.conf
        it's safer to keep the permission as they are now (0600).

mylvmbackup.noarch: E: incorrect-fsf-address /usr/bin/mylvmbackup

  ----> incorrect postal address of FSF
        "In all cases, upstream should be informed about this. This is the only requirement with respect to this error."
        http://fedoraproject.org/wiki/Common_Rpmlint_issues#incorrect-fsf-address
        Please write to https://launchpad.net/~mylvmbackup-discuss
        or https://bugs.launchpad.net/mylvmbackup

1 packages and 0 specfiles checked; 2 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint mylvmbackup
mylvmbackup.noarch: W: non-etc-or-var-file-marked-as-conffile /usr/share/mylvmbackup/logerr.pm
mylvmbackup.noarch: W: non-etc-or-var-file-marked-as-conffile /usr/share/mylvmbackup/backupfailure.pm
mylvmbackup.noarch: W: non-etc-or-var-file-marked-as-conffile /usr/share/mylvmbackup/preflush.pm
mylvmbackup.noarch: E: non-readable /etc/mylvmbackup.conf 0600L
mylvmbackup.noarch: E: incorrect-fsf-address /usr/bin/mylvmbackup

1 packages and 0 specfiles checked; 2 errors, 3 warnings.
# echo 'rpmlint-done:'



Requires
--------
mylvmbackup (rpmlib, GLIBC filtered):
    config(mylvmbackup)
    perl(:MODULE_COMPAT_5.16.3)
    perl(Date::Format)
    perl(Sys::Hostname)
    perl(strict)



Provides
--------
mylvmbackup:
    config(mylvmbackup)
    mylvmbackup
    perl(backupfailure)
    perl(logerr)
    perl(preflush)



Source checksums
----------------
http://www.lenzg.net/mylvmbackup/mylvmbackup-0.14.tar.gz :
  CHECKSUM(SHA256) this package     : a979082f525f5b0b44bd09169938f2b5d8394fc403fc8b6a6e8b809d7c1a5724
  CHECKSUM(SHA256) upstream package : a979082f525f5b0b44bd09169938f2b5d8394fc403fc8b6a6e8b809d7c1a5724


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-i386
Command line :/usr/bin/fedora-review -m fedora-rawhide-i386 -b 977646

Comment 24 marcindulak 2013-06-26 10:50:26 UTC
I'm sorry - discard it - wrong bug!

I(In reply to Marcin.Dulak from comment #23)
> Package Review
> ==============
> 
> Legend:
> [x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
> [ ] = Manual review needed
> 
> 
> Issues:
> =======
> - No %config files under /usr.
>   Note: %config(noreplace) /usr/share/mylvmbackup/*.pm
>   See: http://fedoraproject.org/wiki/Packaging/Guidelines#Configuration_files
> 
>   ----> I see this is how mylvmbackup is packaged upstream
>        
> https://build.opensuse.org/package/
> show?package=mylvmbackup&project=home%3ALenzGr , but we can't use %config
> under /usr in Fedora.
>         A solution could be to use, e.g.:
>         hooksdir=/etc/mylvmbackup/hooks in /etc/mylvmbackup.conf
>         and create that dir in spec.
>         I guess one should communicate this choice upstream.
> 
>         Another comment: the upstream build.opensuse.org and the current spec
>         share some similarities - if you based on upstream - include this
>         information in changelog.
> 
> 
> ===== MUST items =====
> 
> Generic:
> [x]: Package is licensed with an open-source compatible license and meets
>      other legal requirements as defined in the legal section of Packaging
>      Guidelines.
> [x]: Package contains no bundled libraries without FPC exception.
> [x]: Changelog in prescribed format.
> [x]: Sources contain only permissible code or content.
> [x]: Package contains desktop file if it is a GUI application.
> [x]: Development files must be in a -devel package
> [ ]: Package requires other packages for directories it uses.
> 
>   ----> /etc/mylvmbackup.conf refers to /etc/my.cnf, and this is provided by
>         (let's drop el5 - Requires: mysql):
>         el6, f17-f18: Requires: mysql-libs
>         f19-: Requires: mariadb-libs
> 
> [x]: Package uses nothing in %doc for runtime.
> [x]: Package is not known to require ExcludeArch.
> [ ]: Package complies to the Packaging Guidelines
> [x]: License field in the package spec file matches the actual license.
>      Note: Checking patched sources after %prep for licenses. Licenses found:
>      "Unknown or generated". 3 files have unknown license. Detailed output of
>      licensecheck in /home/mock/977646-mylvmbackup/licensecheck.txt
> 
>   ----> false positive due to /usr/share/mylvmbackup/*.pm files
> 
> [x]: Package consistently uses macro is (instead of hard-coded directory
>      names).
> [x]: Package is named according to the Package Naming Guidelines.
> [x]: Package does not generate any conflict.
> [x]: Package obeys FHS, except libexecdir and /usr/target.
> [x]: If the package is a rename of another package, proper Obsoletes and
>      Provides are present.
> [x]: Package must own all directories that it creates.
> [x]: Package does not own files or directories owned by other packages.
> [ ]: Requires correct, justified where necessary.
> 
>   ----> see "Package requires other packages for directories it uses." above
> 
> [x]: Spec file is legible and written in American English.
> [x]: Package contains systemd file(s) if in need.
> [x]: Large documentation must go in a -doc subpackage.
>      Note: Documentation size is 61440 bytes in 5 files.
> [x]: All build dependencies are listed in BuildRequires, except for any that
>      are listed in the exceptions section of Packaging Guidelines.
> [x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
>      beginning of %install.
> [ ]: %config files are marked noreplace or the reason is justified.
> 
>   ----> see "No %config files under /usr." above
> 
> [x]: Each %files section contains %defattr if rpm < 4.4
> [x]: Macros in Summary, %description expandable at SRPM build time.
> [x]: Package does not contain duplicates in %files.
> [x]: Permissions on files are set properly.
> [x]: Fully versioned dependency in subpackages, if present.
> [x]: If (and only if) the source package includes the text of the license(s)
>      in its own file, then that file, containing the text of the license(s)
>      for the package is included in %doc.
> [x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
>      work.
> [x]: Package is named using only allowed ASCII characters.
> [x]: Package do not use a name that already exist
> [x]: Package is not relocatable.
> [x]: Sources used to build the package match the upstream source, as provided
>      in the spec URL.
> [x]: Spec file name must match the spec package %{name}, in the format
>      %{name}.spec.
> [x]: File names are valid UTF-8.
> [x]: Packages must not store files under /srv, /opt or /usr/local
> [x]: Package successfully compiles and builds into binary rpms on at least
> one
>      supported primary architecture.
> [x]: Package installs properly.
> [x]: Rpmlint is run on all rpms the build produces.
>      Note: There are rpmlint messages (see attachment).
> 
> Perl:
> [ ]: Package contains the mandatory BuildRequires and Requires:.
> 
> ===== SHOULD items =====
> 
> Generic:
> [x]: If the source package does not include license text(s) as a separate
> file
>      from upstream, the packager SHOULD query upstream to include it.
> [ ]: Final provides and requires are sane (see attachments).
> [x]: Package functions as described.
> [x]: Latest version is packaged.
> [x]: Package does not include license text files separate from upstream.
> [ ]: Description and summary sections in the package spec file contains
>      translations for supported Non-English languages, if available.
> [ ]: Package should compile and build into binary rpms on all supported
>      architectures.
> [ ]: %check is present and all tests pass.
> [ ]: Packages should try to preserve timestamps of original installed files.
> [x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
> [x]: Sources can be downloaded from URI in Source: tag
> [x]: Reviewer should test that the package builds in mock.
> [x]: Buildroot is not present
> [x]: Package has no %clean section with rm -rf %{buildroot} (or
>      $RPM_BUILD_ROOT)
> [x]: Dist tag is present.
> [x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
> [x]: SourceX tarball generation or download is documented.
> [x]: SourceX is a working URL.
> [x]: Spec use %global instead of %define.
> 
> ===== EXTRA items =====
> 
> Generic:
> [x]: Large data in /usr/share should live in a noarch subpackage if package
> is
>      arched.
> [x]: Rpmlint is run on all installed packages.
>      Note: There are rpmlint messages (see attachment).
> [x]: Spec file according to URL is the same as in SRPM.
> 
> 
> Rpmlint
> -------
> Checking: mylvmbackup-0.14-1.fc20.noarch.rpm
> mylvmbackup.noarch: W: non-etc-or-var-file-marked-as-conffile
> /usr/share/mylvmbackup/logerr.pm
> mylvmbackup.noarch: W: non-etc-or-var-file-marked-as-conffile
> /usr/share/mylvmbackup/backupfailure.pm
> mylvmbackup.noarch: W: non-etc-or-var-file-marked-as-conffile
> /usr/share/mylvmbackup/preflush.pm
> 
>   ----> see "No %config files under /usr." above
> 
> mylvmbackup.noarch: E: non-readable /etc/mylvmbackup.conf 0600L
> 
>   ----> This is due to /etc/mylvmbackup.conf potentially containing
>         sensitive information (mysql password, ...). 
>         There is a "--password=string" option to mylvmbackup,
>         but in case someone writes password into /etc/mylvmbackup.conf
>         it's safer to keep the permission as they are now (0600).
> 
> mylvmbackup.noarch: E: incorrect-fsf-address /usr/bin/mylvmbackup
> 
>   ----> incorrect postal address of FSF
>         "In all cases, upstream should be informed about this. This is the
> only requirement with respect to this error."
>        
> http://fedoraproject.org/wiki/Common_Rpmlint_issues#incorrect-fsf-address
>         Please write to https://launchpad.net/~mylvmbackup-discuss
>         or https://bugs.launchpad.net/mylvmbackup
> 
> 1 packages and 0 specfiles checked; 2 errors, 3 warnings.
> 
> 
> 
> 
> Rpmlint (installed packages)
> ----------------------------
> # rpmlint mylvmbackup
> mylvmbackup.noarch: W: non-etc-or-var-file-marked-as-conffile
> /usr/share/mylvmbackup/logerr.pm
> mylvmbackup.noarch: W: non-etc-or-var-file-marked-as-conffile
> /usr/share/mylvmbackup/backupfailure.pm
> mylvmbackup.noarch: W: non-etc-or-var-file-marked-as-conffile
> /usr/share/mylvmbackup/preflush.pm
> mylvmbackup.noarch: E: non-readable /etc/mylvmbackup.conf 0600L
> mylvmbackup.noarch: E: incorrect-fsf-address /usr/bin/mylvmbackup
> 
> 1 packages and 0 specfiles checked; 2 errors, 3 warnings.
> # echo 'rpmlint-done:'
> 
> 
> 
> Requires
> --------
> mylvmbackup (rpmlib, GLIBC filtered):
>     config(mylvmbackup)
>     perl(:MODULE_COMPAT_5.16.3)
>     perl(Date::Format)
>     perl(Sys::Hostname)
>     perl(strict)
> 
> 
> 
> Provides
> --------
> mylvmbackup:
>     config(mylvmbackup)
>     mylvmbackup
>     perl(backupfailure)
>     perl(logerr)
>     perl(preflush)
> 
> 
> 
> Source checksums
> ----------------
> http://www.lenzg.net/mylvmbackup/mylvmbackup-0.14.tar.gz :
>   CHECKSUM(SHA256) this package     :
> a979082f525f5b0b44bd09169938f2b5d8394fc403fc8b6a6e8b809d7c1a5724
>   CHECKSUM(SHA256) upstream package :
> a979082f525f5b0b44bd09169938f2b5d8394fc403fc8b6a6e8b809d7c1a5724
> 
> 
> Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
> Buildroot used: fedora-rawhide-i386
> Command line :/usr/bin/fedora-review -m fedora-rawhide-i386 -b 977646

Comment 25 marcindulak 2013-06-27 12:08:38 UTC
Hi,

here is the patch + SOURCES promised in bug #894413 c#21
http://marcindulak.fedorapeople.org/packages/davmail/v02a/davmail.spec.v02a.patch
http://marcindulak.fedorapeople.org/packages/davmail/v02a/davmail.ant.properties
http://marcindulak.fedorapeople.org/packages/davmail/v02a/0001-no-windows-service.patch
http://marcindulak.fedorapeople.org/packages/davmail/v02a/0002-no-osx-tray.patch
http://marcindulak.fedorapeople.org/packages/davmail/v02a/0003-base64-enc-dec.patch
http://marcindulak.fedorapeople.org/packages/davmail/v02a/0004-Set-classpath-add-target-davmail-lib.patch

I don't include logging/logrotate/init(should switch to systemd),
let's do one step at a time.
BR may need to be trimmed/fixed - i'm not familiar enough with java.
I have noticed that htmlcleaner is under /usr/share/java/htmlcleaner/htmlcleaner.jar and not as usually under /usr/share/java - is it a new
convention of %mvn_install?

Comment 26 gil cattaneo 2013-06-28 08:51:27 UTC
(In reply to Marcin.Dulak from comment #25)

> I have noticed that htmlcleaner is under
> /usr/share/java/htmlcleaner/htmlcleaner.jar and not as usually under
> /usr/share/java - is it a new
> convention of %mvn_install?

you can used in htmlcleaner spec file

%mvn_file :%{name} %{name}

%build

%mvn_build

%install
%mvn_install

JAR will be in %{_javadir}/%{name}.jar

or


%mvn_file :%{name} %{name}/%{name} %{name}

%mvn_install will then install JAR file for artifact "any_groupId:%{name}" to the
location %{_javadir}/%{name}/%{name}.jar and it will also create symlink
%{_javadir}/%{name}.jar

Comment 27 Björn 'besser82' Esser 2013-07-19 13:19:37 UTC
Any new progress here?

Comment 28 Marcel Wysocki 2013-07-26 09:30:07 UTC
sorry, i have been quite busy with real life recently.


i will try to incorperate patches from https://bugzilla.redhat.com/show_bug.cgi?id=894413#c25 now

Comment 29 Marcel Wysocki 2013-07-26 10:45:22 UTC
Update:

Spec URL: http://maci.satgnu.net/rpmbuild/SPECS/davmail.spec
SRPM URL: http://maci.satgnu.net/rpmbuild/SRPMS/davmail-4.3.3-3.fc19.src.rpm

Changelog: 

* Fri Jul 26 2013 maci <maci@satgnu.net> - 4.3.3-3
- fix some dependencies

* Thu Jun 27 2013 Marcin Dulak <Marcin.Dulak@gmail.com> 4.3.3-2
* bug #894413 c#21 : partly merge (no service or logging for now)

Comment 30 gil cattaneo 2013-07-31 14:25:24 UTC
Created attachment 781180 [details]
Italian localization files

This files add Italian support for davmail
please, copy these file in src/java
thanks
regards

Comment 31 gil cattaneo 2013-07-31 14:27:13 UTC
Created attachment 781181 [details]
Italian localization files 2

Italian localization files 2

Comment 32 gil cattaneo 2013-07-31 15:34:21 UTC
Created attachment 781198 [details]
Italian localization files 2

Comment 33 gil cattaneo 2013-07-31 15:46:38 UTC
Created attachment 781212 [details]
Italian localization files 2

sorry upload the old one

Comment 34 Mickaël Guessant 2013-09-03 10:04:20 UTC
@gil: localization file merged in upstream, thanks for your contribution

Comment 35 gil cattaneo 2013-09-25 13:43:14 UTC
hi
thanks!
the localization file are 2... i see in the new version there is only one (davmailmessages_it.properties), have you sent also imapflags_it.properties ?
thanks

Comment 36 Mickaël Guessant 2013-09-30 21:23:24 UTC
Indeed, second file merged

Comment 37 Marcel Wysocki 2013-10-14 11:59:21 UTC
Update:

* Mon Oct 14 2013 maci <maci@satgnu.net> - 4.3.4-1
- update to 4.3.4

Spec URL: https://raw.github.com/maci0/rpmbuild/master/SPECS/davmail.spec
SRPM URL: https://raw.github.com/maci0/rpmbuild/master/SRPMS/davmail-4.3.4-1.fc19.src.rpm
Koji URL: http://koji.fedoraproject.org/koji/taskinfo?taskID=6058061

anything still in the way of this being accepted ?
once the review process is done i would really appreciate if someone would co-maintain this package

Comment 38 gil cattaneo 2013-10-14 12:17:59 UTC
hi 
there are some problems:
you must install davmail jar in /usr/share/java [1]
you must install pom/s (and depmap) when this/ese file/s is/are available/s [2]

[1] https://fedoraproject.org/wiki/Packaging:Java#Installation_directory
[2] https://fedoraproject.org/wiki/Packaging:Java#Maven_pom.xml_files_and_depmaps

Comment 39 gil cattaneo 2013-10-14 13:13:16 UTC
other problems:
davmail-4.3.4-2174/src/java/com/sun/mail/imap/protocol/BASE64MailboxDecoder.java
davmail-4.3.4-2174/src/java/com/sun/mail/imap/protocol/BASE64MailboxEncoder.java
these two file are already present in javamail package (CDDL or GPLv2 with exceptions)
davmail-4.3.4-2174/src/java/com/ctc/wstx/sr/StreamScanner.java 
these is available woodstox-core package (ASL 2.0 or LGPLv2+ or BSD)
you nust remove this classes [1]

if you want use these classes you must open an FPC exception [2] where you must explain why you want use these classes

e.g. https://fedorahosted.org/fpc/ticket/292

licanse field is incorrect, should be: CDDL or GPLv2 with exceptions and (ASL 2.0 or LGPLv2+ or BSD) 


[1] https://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries
[2] https://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries#Exceptions

Comment 40 Mickaël Guessant 2013-10-14 22:56:25 UTC
About BASE64MailboxDecoder and BASE64MailboxEncoder: according to Alexandre Rossi, this patch is only required with libgnumail, can be dropped with javamail.

About StreamScanner: XML 1.1 allows most chars in encoded form, 1.0 does not (only 0x9 0xA and 0xD). However, Exchange sends many encoded chars while still advertising XML 1.0 => Woodstox reports those characters as illegal and fails.

The best workaround would be to add an option to the parser to disable this control and thus submit a patch to Woodstox project.

Comment 41 gil cattaneo 2013-10-15 00:05:19 UTC
(In reply to Mickaël Guessant from comment #40)
> About BASE64MailboxDecoder and BASE64MailboxEncoder: according to Alexandre
> Rossi, this patch is only required with libgnumail, can be dropped with
> javamail.

please, then remove these ^^ unnecessary files

> About StreamScanner: XML 1.1 allows most chars in encoded form, 1.0 does not
> (only 0x9 0xA and 0xD). However, Exchange sends many encoded chars while
> still advertising XML 1.0 => Woodstox reports those characters as illegal
> and fails.
> 
> The best workaround would be to add an option to the parser to disable this
> control and thus submit a patch to Woodstox project.

you must open an FPC exception as describe in my previous comment

Comment 42 Björn 'besser82' Esser 2013-10-16 06:38:18 UTC
INFO: Downloading .spec and .srpm files
ERROR: 'Error 404 downloading https://raw.github.com/maci0/rpmbuild/master/SRPMS/davmail-4.3.4-1.fc19.src.rpm' (logs in /home/besser82/.cache/fedora-review.log)

Comment 43 Marcel Wysocki 2013-10-16 15:31:26 UTC
Sorry, forgot to post

Update: 

* Mon Oct 14 2013 maci <maci@satgnu.net> - 4.3.4-2
- install into /usr/share/java
- add maven pom stuff
- minor cleanups


Spec URL: https://raw.github.com/maci0/rpmbuild/master/SPECS/davmail.spec
SRPM URL: https://raw.github.com/maci0/rpmbuild/master/SRPMS/davmail-4.3.4-2.fc19.src.rpm

Comment 44 gil cattaneo 2013-10-16 16:30:46 UTC
hi
is required these changes in the pom file

unavailable/unused deps
%pom_remove_dep org.boris.winrun4j:

it's part of JDK now
%pom_remove_dep javax.activation:

because eclipse-swt dont provides pom or depmap
%pom_xpath_inject "pom:dependencies/pom:dependency[pom:artifactId='swt']" "
<scope>system</scope>
<systemPath>$(build-classpath swt)</systemPath>"

please apply these changes in %setup section

patches should have this format "%{name} - %{version} - REASON.patch"
and all patches should have an upstream bug link or comment
https://fedoraproject.org/wiki/Packaging:Guidelines?rd=Packaging/Guidelines#All_patches_should_have_an_upstream_bug_link_or_comment

remain again the problem
described in https://bugzilla.redhat.com/show_bug.cgi?id=894413#c39
related to https://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries

Comment 45 Mickaël Guessant 2013-10-16 21:45:30 UTC
Woodstox issue submitted to upstream project:
http://jira.codehaus.org/browse/WSTX-293

Comment 46 gil cattaneo 2013-10-16 23:37:28 UTC
temporarily, can ask to the maintainer of woodstox-core package, to apply this changes to our package

Comment 47 Marcel Wysocki 2013-11-26 11:27:07 UTC
Update: 

* Tue Nov 26 2013 maci <maci@satgnu.net> - 4.4.0-1
- update to 4.4.0

Spec URL: https://raw.github.com/maci0/rpmbuild/master/SPECS/davmail.spec
SRPM URL: https://raw.github.com/maci0/rpmbuild/master/SRPMS/davmail-4.4.0-1.fc19.src.rpm

Comment 48 Christopher Meng 2013-11-26 11:32:35 UTC
Just a suggestion:

Could you use Marcel Wysocki <maci@satgnu.net> all the time instead of mixed maci?

Comment 49 Frederik Holden 2014-03-26 12:56:07 UTC
Any update on this?

Comment 50 Marcel Wysocki 2014-09-28 21:17:18 UTC
anyone else want to take this over ?
Havent had time recently to look into this.

Comment 51 Kevin R. Page 2015-03-22 19:38:49 UTC
Just an enquiry as to whether there's any further progress? (and to signal enthusiasm for this to become a Fedora package -- thank you for the effort that's got it this far)

Comment 52 MartinG 2015-05-22 18:54:51 UTC
Let me add my enthusiasm too, as two more months have passed.

Comment 53 Raphael Groner 2018-04-08 16:59:03 UTC
Please build also for EPEL7.

Comment 54 Mickaël Guessant 2018-04-10 21:51:35 UTC
Well, I managed to build on Centos 7, see:
https://build.opensuse.org/package/show/home:mguessan:branches:home:achimh:branches:home:dammage:davmail/davmail

Note that this is still based on source package *with libs*, not source only.

Debian package maintainers managed to build a package without binary libraries input:
https://packages.debian.org/stretch/davmail

Comment 55 Raphael Groner 2018-07-22 06:00:15 UTC
Ping. Another friendly reminder.

Comment 56 Mickaël Guessant 2018-11-28 13:11:13 UTC
Latest release 5.0.0 builds on EPEL 6/7 and fedora, see:
https://copr.fedorainfracloud.org/coprs/mguessan/davmail/build/827335/

All files are merged in trunk, see:
https://build.opensuse.org/package/show/home:mguessan:davmail/davmail

This is still a spec file based on source package with included libs.
To build from source only package, we would need to find all dependencies:
https://packages.debian.org/sid/davmail


Note You need to log in before you can comment on or make changes to this bug.